<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE CATALOG [ 

<!ELEMENT CATALOG (PRODUCT+)> 

<!ELEMENT PRODUCT (SPECIFICATIONS+,OPTIONS?,PRICE+,NOTES?)> 

<!ATTLIST PRODUCT 
NAME CDATA #IMPLIED 
CATEGORY (HandTool|Table|Shop-Professional) "HandTool" 
PARTNUM CDATA #IMPLIED 
PLANT (Pittsburgh|Milwaukee|Chicago) "Chicago" 
INVENTORY (InStock|Backordered|Discontinued) "InStock"> 

<!ELEMENT SPECIFICATIONS (#PCDATA)> 
<!ATTLIST SPECIFICATIONS 
WEIGHT CDATA #IMPLIED 
POWER CDATA #IMPLIED> 

<!ELEMENT OPTIONS (#PCDATA)> 
<!ATTLIST OPTIONS 
FINISH (Metal|Polished|Matte) "Matte" 
ADAPTER (Included|Optional|NotApplicable) "Included" 
CASE (HardShell|Soft|NotApplicable) "HardShell"> 

<!ELEMENT PRICE (#PCDATA)> 
<!ATTLIST PRICE 
MSRP CDATA #IMPLIED 
WHOLESALE CDATA #IMPLIED 
STREET CDATA #IMPLIED 
SHIPPING CDATA #IMPLIED> 

<!ELEMENT NOTES (#PCDATA)> ]>


<CATALOG>
    <PRODUCT NAME="Drill" CATEGORY="HandTool" PARTNUM="45" PLANT="Chicago" INVENTORY="Backordered">
        <SPECIFICATIONS WEIGHT="15" POWER="450">...</SPECIFICATIONS>
        <OPTIONS FINISH="Metal" ADAPTER="Optional" CASE="Soft">...</OPTIONS>
        <PRICE MSRP="350" WHOLESALE="yes" STREET="that one" SHIPPING="possibly">...</PRICE>
        <NOTES>...</NOTES>
    </PRODUCT>
    <PRODUCT CATEGORY="Shop-Professional" PLANT="Milwaukee" INVENTORY="InStock">
        <SPECIFICATIONS>...</SPECIFICATIONS>
        <PRICE>...</PRICE>
        <NOTES>...</NOTES>
    </PRODUCT>
    <PRODUCT CATEGORY="HandTool" PARTNUM="45" PLANT="Chicago" INVENTORY="Backordered">
        <SPECIFICATIONS WEIGHT="15" POWER="450">...</SPECIFICATIONS>
        <SPECIFICATIONS>...</SPECIFICATIONS>
        <OPTIONS FINISH="Metal" ADAPTER="Optional" CASE="Soft">...</OPTIONS>
        <PRICE MSRP="350" WHOLESALE="yes" STREET="that one" SHIPPING="possibly">...</PRICE>
        <PRICE STREET="that one" SHIPPING="possibly">...</PRICE>
        <PRICE MSRP="350">...</PRICE>
    </PRODUCT>
</CATALOG>